2 files changed
+21
.npmrc
+1
new file mode 100644
index 0000000..19dd293
--- /dev/null
+++ b/.npmrc
@@ -0,0 +1 @@
+registry=https://registry.npmjs.com
.smb/deploy.sh
+20
new file mode 100644
index 0000000..1484f12
--- /dev/null
+++ b/.smb/deploy.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+echo "------------------------ STARTING DEPLOYMENT ------------------------"
+
+# Check if the first argument is a directory
+if [ ! -d "$1" ]
+then
+ echo "๐ฉ $1 is not a directory."
+ echo "๐ Deployment failed."
+ exit 1
+fi
+
+# Change to working directory
+cd $1
+
+source ~/.profile
+nvm use
+pm2 restart 0 --update-env > /dev/null 2>&1 &
+
+echo "------------------------ DEPLOYED ------------------------"
\ No newline at end of file